tigase.jaxmpp.j2se.filetransfer

## Class JingleFileTransferNegotiator

- java.lang.Object
- - tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract
  - - tigase.jaxmpp.j2se.filetransfer.JingleFileTransferNegotiator

- All Implemented Interfaces:
    EventHandler, ContextAware, JingleModule.JingleSessionAcceptHandler, JingleModule.JingleSessionInitiationHandler, JingleModule.JingleSessionTerminateHandler, ConnectionManager.ConnectionEstablishedHandler, ConnectionSessionHandler, FileTransferNegotiator

      public class JingleFileTransferNegotiator
      extends FileTransferNegotiatorAbstract
      implements ConnectionSessionHandler, JingleModule.JingleSessionAcceptHandler, JingleModule.JingleSessionInitiationHandler, JingleModule.JingleSessionTerminateHandler, ConnectionManager.ConnectionEstablishedHandler

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.jingle.JingleModule.JingleSessionAcceptHandler

      `JingleModule.JingleSessionAcceptHandler.JingleSessionAcceptEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.jingle.JingleModule.JingleSessionInitiationHandler

      `JingleModule.JingleSessionInitiationHandler.JingleSessionInitiationEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.jingle.JingleModule.JingleSessionTerminateHandler

      `JingleModule.JingleSessionTerminateHandler.JingleSessionTerminateEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.connection.ConnectionManager.ConnectionEstablishedHandler

      `ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator

      `FileTransferNegotiator.NegotiationFailureHandler, FileTransferNegotiator.NegotiationRejectHandler, FileTransferNegotiator.NegotiationRequestHandler, FileTransferNegotiator.NegotiationSuccessHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JINGLE_FT_XMLNS`

    - ### Fields inherited from class tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract

      `context, ftManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JingleFileTransferNegotiator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `String[]` | `getFeatures()`
    `ConnectionSession` | `getSession(String sid)`
    `protected List<Transport>` | `getTransports(JaxmppCore jaxmpp, FileTransfer ft)`
    `boolean` | `isSupported(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `onConnectionEstablished(SessionObject sessionObject, ConnectionSession connectionSession, Socket socket)`
    `void` | `onJingleSessionAccept(SessionObject sessionObject, JID sender, String sid, Element description, List<Transport> transports, MutableBoolean handled)`
    `void` | `onJingleSessionInitiation(SessionObject sessionObject, JID sender, String sid, Element desc, List<Transport> transports, MutableBoolean handled)`
    `void` | `onJingleSessionTerminate(SessionObject sessionObject, JID sender, String sid, MutableBoolean handled)`
    `void` | `registerListeners(JaxmppCore jaxmpp)`
    `void` | `rejectFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `sendFile(JaxmppCore jaxmpp, FileTransfer ft)`
    `void` | `setContext(Context context)`
    `void` | `unregisterListeners(JaxmppCore jaxmpp)`

    - ### Methods inherited from class tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract

      `fireOnFailure, fireOnReject, fireOnRequest, fireOnSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JINGLE_FT_XMLNS

          public static final String JINGLE_FT_XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JingleFileTransferNegotiator

          public JingleFileTransferNegotiator()

  - ### Method Detail

    - #### acceptFile

          public void acceptFile(JaxmppCore jaxmpp,
                                 FileTransfer ft)
                          throws JaxmppException

      Specified by:
        `acceptFile` in interface `FileTransferNegotiator`
      Throws:
        `JaxmppException`

    - #### getFeatures

          public String[] getFeatures()

      Specified by:
        `getFeatures` in interface `FileTransferNegotiator`

    - #### getSession

          public ConnectionSession getSession(String sid)

      Specified by:
        `getSession` in interface `ConnectionSessionHandler`

    - #### getTransports

          protected List<Transport> getTransports(JaxmppCore jaxmpp,
                                                  FileTransfer ft)
                                           throws XMLException,
                                                  JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### isSupported

          public boolean isSupported(JaxmppCore jaxmpp,
                                     FileTransfer ft)

      Specified by:
        `isSupported` in interface `FileTransferNegotiator`

    - #### onConnectionEstablished

          public void onConnectionEstablished(SessionObject sessionObject,
                                              ConnectionSession connectionSession,
                                              Socket socket)
                                       throws JaxmppException

      Specified by:
        `onConnectionEstablished` in interface `ConnectionManager.ConnectionEstablishedHandler`
      Throws:
        `JaxmppException`

    - #### onJingleSessionAccept

          public void onJingleSessionAccept(SessionObject sessionObject,
                                            JID sender,
                                            String sid,
                                            Element description,
                                            List<Transport> transports,
                                            MutableBoolean handled)

      Specified by:
        `onJingleSessionAccept` in interface `JingleModule.JingleSessionAcceptHandler`

    - #### onJingleSessionInitiation

          public void onJingleSessionInitiation(SessionObject sessionObject,
                                                JID sender,
                                                String sid,
                                                Element desc,
                                                List<Transport> transports,
                                                MutableBoolean handled)

      Specified by:
        `onJingleSessionInitiation` in interface `JingleModule.JingleSessionInitiationHandler`

    - #### onJingleSessionTerminate

          public void onJingleSessionTerminate(SessionObject sessionObject,
                                               JID sender,
                                               String sid,
                                               MutableBoolean handled)

      Specified by:
        `onJingleSessionTerminate` in interface `JingleModule.JingleSessionTerminateHandler`

    - #### registerListeners

          public void registerListeners(JaxmppCore jaxmpp)

      Specified by:
        `registerListeners` in interface `FileTransferNegotiator`

    - #### rejectFile

          public void rejectFile(JaxmppCore jaxmpp,
                                 FileTransfer ft)
                          throws JaxmppException

      Specified by:
        `rejectFile` in interface `FileTransferNegotiator`
      Throws:
        `JaxmppException`

    - #### sendFile

          public void sendFile(JaxmppCore jaxmpp,
                               FileTransfer ft)
                        throws JaxmppException

      Specified by:
        `sendFile` in interface `FileTransferNegotiator`
      Throws:
        `JaxmppException`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`
      Overrides:
        `setContext` in class `FileTransferNegotiatorAbstract`

    - #### unregisterListeners

          public void unregisterListeners(JaxmppCore jaxmpp)

      Specified by:
        `unregisterListeners` in interface `FileTransferNegotiator`

Copyright © 2006–2016 Tigase. All rights reserved.